#include <iostream>
#include "locale.h"
#include <cmath>

using namespace std;

int main() {
    setlocale(LC_ALL, "rus");
    double x, y;
    x = 0;
    y = 0;
    cout << "Введите x:";
    cin >> x;
    cout << "Введите y:";
    cin >> y;
//верхняя часть - квадрат описывается уравнением |x|=1; |y|=1;
//нижняя часть - круг описывается уравнением x^2 + y^2 = 1;
//при y>=0 расчитываем условие по верхней части, при y <=0 расчитываем понижней части
// условие для верх части условие для нижней части
    if ((y >= 0 && abs(x) <= 1 && abs(y) <= 1) || (y <= 0 && ((pow(x, 2) + pow(y,
                                                                               2)) <= 1)))
        cout << "Точка находится в фигуре" << endl;
    else
        cout << "Точка не находится в фигуре." << endl;
    return 0;
}